Subject: Re: linux-next: April 27 (wireless/libertas warnings)

From: "John W. Linville" <[email-masked]>
Date: Tue, 27 Apr 2010 11:59:15 -0400

On Tue, Apr 27, 2010 at 08:36:37AM -0700, Randy Dunlap wrote:
> drivers/net/wireless/libertas_tf/deb_defs.h:12:1: warning: "pr_fmt" redefined
> include/linux/kernel.h:376:1: warning: this is the location of the previous definition
> drivers/net/wireless/libertas_tf/deb_defs.h:12:1: warning: "pr_fmt" redefined
> include/linux/kernel.h:376:1: warning: this is the location of the previous definition

Yup, just had this exchange w/ Stephen...

The problem comes from including slab.h before deb_defs.h (as done
in linux-next).  The version in wireless-testing avoids the warning
by including the headers in the other order, but that is a bit ugly.

Does anyone know if it is OK to #undef pr_fmt before defining it
in deb_defs.h?

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.